DO $$
DECLARE
    _path character varying(256) := 'patch-2025_11_06-EventCustomization_UpdateDefaultNotifications';
BEGIN
    IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
        RETURN;
    END IF;

    IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= 15601) THEN
        RETURN;
    END IF;

    BEGIN
       ALTER TABLE public."EventCustomization" ADD "UpdateDefaultNotifications" boolean DEFAULT true;

       INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

    EXCEPTION
        WHEN OTHERS THEN
            RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
    END;
END;
$$;